/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.antrax.automation.meta.ScriptType;
import com.flamesgroup.storage.jooq.tables.ScriptDefinition;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record5;
import org.jooq.Row5;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ScriptDefinitionRecord extends UpdatableRecordImpl<ScriptDefinitionRecord> implements Record5<Long, String, ScriptType, String, String> {

	private static final long serialVersionUID = 163365766;

	/**
	 * Setter for <code>public.script_definition.id</code>.
	 */
	public ScriptDefinitionRecord setId(Long value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_definition.id</code>.
	 */
	public Long getId() {
		return (Long) getValue(0);
	}

	/**
	 * Setter for <code>public.script_definition.name</code>.
	 */
	public ScriptDefinitionRecord setName(String value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_definition.name</code>.
	 */
	public String getName() {
		return (String) getValue(1);
	}

	/**
	 * Setter for <code>public.script_definition.type</code>.
	 */
	public ScriptDefinitionRecord setType(ScriptType value) {
		setValue(2, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_definition.type</code>.
	 */
	public ScriptType getType() {
		return (ScriptType) getValue(2);
	}

	/**
	 * Setter for <code>public.script_definition.code</code>.
	 */
	public ScriptDefinitionRecord setCode(String value) {
		setValue(3, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_definition.code</code>.
	 */
	public String getCode() {
		return (String) getValue(3);
	}

	/**
	 * Setter for <code>public.script_definition.description</code>.
	 */
	public ScriptDefinitionRecord setDescription(String value) {
		setValue(4, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_definition.description</code>.
	 */
	public String getDescription() {
		return (String) getValue(4);
	}

	// -------------------------------------------------------------------------
	// Primary key information
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Record1<Long> key() {
		return (Record1) super.key();
	}

	// -------------------------------------------------------------------------
	// Record5 type implementation
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row5<Long, String, ScriptType, String, String> fieldsRow() {
		return (Row5) super.fieldsRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row5<Long, String, ScriptType, String, String> valuesRow() {
		return (Row5) super.valuesRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field1() {
		return ScriptDefinition.SCRIPT_DEFINITION.ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<String> field2() {
		return ScriptDefinition.SCRIPT_DEFINITION.NAME;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<ScriptType> field3() {
		return ScriptDefinition.SCRIPT_DEFINITION.TYPE;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<String> field4() {
		return ScriptDefinition.SCRIPT_DEFINITION.CODE;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<String> field5() {
		return ScriptDefinition.SCRIPT_DEFINITION.DESCRIPTION;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value1() {
		return getId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String value2() {
		return getName();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptType value3() {
		return getType();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String value4() {
		return getCode();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String value5() {
		return getDescription();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptDefinitionRecord value1(Long value) {
		setId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptDefinitionRecord value2(String value) {
		setName(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptDefinitionRecord value3(ScriptType value) {
		setType(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptDefinitionRecord value4(String value) {
		setCode(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptDefinitionRecord value5(String value) {
		setDescription(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptDefinitionRecord values(Long value1, String value2, ScriptType value3, String value4, String value5) {
		value1(value1);
		value2(value2);
		value3(value3);
		value4(value4);
		value5(value5);
		return this;
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached ScriptDefinitionRecord
	 */
	public ScriptDefinitionRecord() {
		super(ScriptDefinition.SCRIPT_DEFINITION);
	}

	/**
	 * Create a detached, initialised ScriptDefinitionRecord
	 */
	public ScriptDefinitionRecord(Long id, String name, ScriptType type, String code, String description) {
		super(ScriptDefinition.SCRIPT_DEFINITION);

		setValue(0, id);
		setValue(1, name);
		setValue(2, type);
		setValue(3, code);
		setValue(4, description);
	}
}
